---
lang: en
title: 'API docs: repository.connector'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/repository
permalink: /doc/en/lb4/apidocs.repository.connector.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [Connector](./repository.connector.md)

## Connector interface

Common properties/operations for connectors

**Signature:**

```typescript
export interface Connector 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [configModel?](./repository.connector.configmodel.md) |  | [Model](./repository.model.md) | _(Optional)_ |
|  [interfaces?](./repository.connector.interfaces.md) |  | (string \| [ConnectorInterfaces.StrongRelation](./repository.connectorinterfaces.strongrelation.md) \| [ConnectorInterfaces.StrongJoins](./repository.connectorinterfaces.strongjoins.md)<!-- -->)\[\] | _(Optional)_ |
|  [name](./repository.connector.name.md) |  | string |  |

## Methods

|  Method | Description |
|  --- | --- |
|  [connect()](./repository.connector.connect.md) |  |
|  [disconnect()](./repository.connector.disconnect.md) |  |
|  [execute(command, parameters, options)?](./repository.connector.execute.md) | _(Optional)_ |
|  [ping()](./repository.connector.ping.md) |  |


